# Class: ReactorIO

## ReactorIO

#### new ReactorIO(reactorIn, reactorOut, reactorProcess)

Provides chain reactor node linking so that a chain reaction can propagate down a node tree. Effectively creates a chain link between the reactorIn and reactorOut objects where a chain reaction from the reactorIn is passed through the reactorProcess before being passed to the reactorOut object. Reactor packets are only passed through to the reactorOut if the reactor IO method chainSend is used.

##### Parameters:

Name | Type | Description
--- | --- | ---
`reactorIn` | * | An object that has the Mixin.ChainReactor methods mixed in to it. Chain reactions that occur inside this object will be passed through to the reactorOut object.
`reactorOut` | * | An object that has the Mixin.ChainReactor methods mixed in to it. Chain reactions that occur in the reactorIn object will be passed through to this object.
`reactorProcess` | function | The processing method to use when chain reactions occur.

Source:
  - ReactorIO.js, line 22

### Methods

- drop() → {boolean}

#### drop() → {boolean}

Drop a reactor IO object, breaking the reactor link between the in and out reactor nodes.

Source:
  - ReactorIO.js, line 49

##### Returns:

Type
  boolean